Package org.apache.torque.generator.configuration.option

## Class FileOptionsSaxHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.torque.generator.configuration.option.OptionsSaxHandler
    - - org.apache.torque.generator.configuration.option.FileOptionsSaxHandler

- All Implemented Interfaces:
    `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

      public class FileOptionsSaxHandler
      extends OptionsSaxHandler

  Reads a file options configuration.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileOptionsSaxHandler​(FileOptionsConfiguration optionsConfiguration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endElement​(String uri, String localName, String qName)`
    `void` | `startElement​(String uri, String localName, String qName, Attributes attributes)`

    - ### Methods inherited from class org.apache.torque.generator.configuration.option.OptionsSaxHandler

      `getOptionsConfiguration, isFinished`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileOptionsSaxHandler

          public FileOptionsSaxHandler​(FileOptionsConfiguration optionsConfiguration)

  - ### Method Detail

    - #### startElement

          public void startElement​(String uri,
                                   String localName,
                                   String qName,
                                   Attributes attributes)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement​(String uri,
                                 String localName,
                                 String qName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `DefaultHandler`
      Throws:
        `SAXException`